summaryrefslogtreecommitdiffstats
path: root/tests/ts/cal
diff options
context:
space:
mode:
authorTommi Kyntola2013-10-06 20:45:53 +0200
committerKarel Zak2013-10-22 10:31:56 +0200
commitdb652f617e7efc0709b272198ac0acf041ffc1d4 (patch)
tree86d90bfc2fa46a8232a1639b84f3b2959f3791c1 /tests/ts/cal
parentcal: added -w|--week for showing week numbers (diff)
downloadkernel-qcow2-util-linux-db652f617e7efc0709b272198ac0acf041ffc1d4.tar.gz
kernel-qcow2-util-linux-db652f617e7efc0709b272198ac0acf041ffc1d4.tar.xz
kernel-qcow2-util-linux-db652f617e7efc0709b272198ac0acf041ffc1d4.zip
cal: various tests for week numbers
Current tests were replicated with week numbers and some additional tests for week numbering corner cases were added, too. Signed-off-by: Tommi Kyntola <kynde@iki.fi>
Diffstat (limited to 'tests/ts/cal')
-rwxr-xr-xtests/ts/cal/1mw59
-rwxr-xr-xtests/ts/cal/3mw58
-rwxr-xr-xtests/ts/cal/bigyearw96
-rwxr-xr-xtests/ts/cal/colorw71
-rwxr-xr-xtests/ts/cal/sep1752w96
-rwxr-xr-xtests/ts/cal/weeknum87
-rwxr-xr-xtests/ts/cal/yearw58
7 files changed, 525 insertions, 0 deletions
diff --git a/tests/ts/cal/1mw b/tests/ts/cal/1mw
new file mode 100755
index 000000000..56237726c
--- /dev/null
+++ b/tests/ts/cal/1mw
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="1 month with week numbers"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+set -o pipefail
+
+USETERM=$( ts_has_option "useterm" "$*" )
+MYTIME="27 09 2006"
+
+[ "$USETERM" == "yes" ] && TS_VERBOSE="yes"
+ts_log ""
+
+ts_log "Gregorian - Monday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mw $MYTIME
+fi
+$TS_CMD_CAL -1mw $MYTIME >> $TS_OUTPUT
+
+ts_log "Gregorian - Sunday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1sw $MYTIME
+fi
+$TS_CMD_CAL -1sw $MYTIME >> $TS_OUTPUT
+
+
+ts_log "Julian - Monday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mjw $MYTIME
+fi
+$TS_CMD_CAL -1mjw $MYTIME >> $TS_OUTPUT
+
+ts_log "Julian - Sunday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1sjw $MYTIME
+fi
+$TS_CMD_CAL -1sjw $MYTIME >> $TS_OUTPUT
+
+ts_finalize
+
diff --git a/tests/ts/cal/3mw b/tests/ts/cal/3mw
new file mode 100755
index 000000000..d3b122811
--- /dev/null
+++ b/tests/ts/cal/3mw
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="3 months with week numbers"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+set -o pipefail
+
+USETERM=$( ts_has_option "useterm" "$*" )
+MYTIME="27 09 2006"
+
+[ "$USETERM" == "yes" ] && TS_VERBOSE="yes"
+ts_log ""
+
+ts_log "Gregorian - Monday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3mw $MYTIME
+fi
+$TS_CMD_CAL -3mw $MYTIME >> $TS_OUTPUT
+
+ts_log "Gregorian - Sunday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3sw $MYTIME
+fi
+$TS_CMD_CAL -3sw $MYTIME >> $TS_OUTPUT
+
+
+ts_log "Julian - Monday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3mjw $MYTIME
+fi
+$TS_CMD_CAL -3mjw $MYTIME >> $TS_OUTPUT
+
+ts_log "Julian - Sunday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3sjw $MYTIME
+fi
+$TS_CMD_CAL -3sjw $MYTIME >> $TS_OUTPUT
+
+ts_finalize
+
diff --git a/tests/ts/cal/bigyearw b/tests/ts/cal/bigyearw
new file mode 100755
index 000000000..3400b49b0
--- /dev/null
+++ b/tests/ts/cal/bigyearw
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="Year 1234567890123456789 with week numbers"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+set -o pipefail
+
+USETERM=$( ts_has_option "useterm" "$*" )
+MYMONTH="12 1234567890123456789"
+MYYEAR="1234567890123456789"
+
+[ "$USETERM" == "yes" ] && TS_VERBOSE="yes"
+ts_log ""
+
+
+ts_log "Gregorian - Monday-based month with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mw
+fi
+$TS_CMD_CAL -1mw $MYMONTH >> $TS_OUTPUT
+ts_log "Gregorian - Sunday-based month with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1sw $MYMONTH
+fi
+$TS_CMD_CAL -1sw $MYMONTH >> $TS_OUTPUT
+ts_log "Julian - Monday-based month with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mjw $MYMONTH
+fi
+$TS_CMD_CAL -1mjw $MYMONTH >> $TS_OUTPUT
+ts_log "Julian - Sunday-based month with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1sjw $MYMONTH
+fi
+$TS_CMD_CAL -1sjw $MYMONTH >> $TS_OUTPUT
+
+
+ts_log "Gregorian - Monday-based three months with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3mw
+fi
+$TS_CMD_CAL -3mw $MYMONTH >> $TS_OUTPUT
+ts_log "Gregorian - Sunday-based three months with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3sw $MYMONTH
+fi
+$TS_CMD_CAL -3sw $MYMONTH >> $TS_OUTPUT
+ts_log "Julian - Monday-based three months with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3mjw $MYMONTH
+fi
+$TS_CMD_CAL -3mjw $MYMONTH >> $TS_OUTPUT
+ts_log "Julian - Sunday-based three months with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3sjw $MYMONTH
+fi
+$TS_CMD_CAL -3sjw $MYMONTH >> $TS_OUTPUT
+
+
+ts_log "Gregorian - Monday-based year with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mw $MYYEAR
+fi
+$TS_CMD_CAL -1mw $MYYEAR >> $TS_OUTPUT
+ts_log "Gregorian - Sunday-based year with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1sw $MYYEAR
+fi
+$TS_CMD_CAL -1sw $MYYEAR >> $TS_OUTPUT
+ts_log "Julian - Monday-based year with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mjw $MYYEAR
+fi
+$TS_CMD_CAL -1mjw $MYYEAR >> $TS_OUTPUT
+ts_log "Julian - Sunday-based year with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1sjw $MYYEAR
+fi
+$TS_CMD_CAL -1sjw $MYYEAR >> $TS_OUTPUT
+
+ts_finalize
diff --git a/tests/ts/cal/colorw b/tests/ts/cal/colorw
new file mode 100755
index 000000000..b08656e45
--- /dev/null
+++ b/tests/ts/cal/colorw
@@ -0,0 +1,71 @@
+#!/bin/bash
+
+#
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="color with week numbers"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+# --color output depends on terminal type
+export TERM=linux
+
+set -o pipefail
+
+USETERM=$( ts_has_option "useterm" "$*" )
+
+[ "$USETERM" == "yes" ] && TS_VERBOSE="yes"
+ts_log ""
+
+ts_log "First day with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -w --color=always 1 1 1
+fi
+$TS_CMD_CAL -w --color=always 1 1 1 >> $TS_OUTPUT
+
+ts_log "Reformation corner cases 1 with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -w --color=always 2 9 1752
+fi
+$TS_CMD_CAL -w --color=always 2 9 1752 >> $TS_OUTPUT
+
+ts_log "Reformation corner cases 2 with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -w --color=always 3 9 1752
+fi
+$TS_CMD_CAL -w --color=always 3 9 1752 >> $TS_OUTPUT
+
+ts_log "Reformation corner cases 3 with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -w --color=always 13 9 1752
+fi
+$TS_CMD_CAL -w --color=always 13 9 1752 >> $TS_OUTPUT
+
+ts_log "Reformation corner cases 4 with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -w --color=always 14 9 1752
+fi
+$TS_CMD_CAL -w --color=always 14 9 1752 >> $TS_OUTPUT
+
+ts_log "Last day with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -w --color=always 31 12 9999
+fi
+$TS_CMD_CAL -w --color=always -3 31 12 9999 >> $TS_OUTPUT
+
+
+ts_finalize
+
diff --git a/tests/ts/cal/sep1752w b/tests/ts/cal/sep1752w
new file mode 100755
index 000000000..0ea460337
--- /dev/null
+++ b/tests/ts/cal/sep1752w
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="September 1752 with week numbers"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+set -o pipefail
+
+USETERM=$( ts_has_option "useterm" "$*" )
+MYMONTH="09 1752"
+MYYEAR="1752"
+
+[ "$USETERM" == "yes" ] && TS_VERBOSE="yes"
+ts_log ""
+
+
+ts_log "Gregorian - Monday-based month with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mw
+fi
+$TS_CMD_CAL -1mw $MYMONTH >> $TS_OUTPUT
+ts_log "Gregorian - Sunday-based month with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1sw $MYMONTH
+fi
+$TS_CMD_CAL -1sw $MYMONTH >> $TS_OUTPUT
+ts_log "Julian - Monday-based month with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mjw $MYMONTH
+fi
+$TS_CMD_CAL -1mjw $MYMONTH >> $TS_OUTPUT
+ts_log "Julian - Sunday-based month with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1sjw $MYMONTH
+fi
+$TS_CMD_CAL -1sjw $MYMONTH >> $TS_OUTPUT
+
+
+ts_log "Gregorian - Monday-based three months with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3mw
+fi
+$TS_CMD_CAL -3mw $MYMONTH >> $TS_OUTPUT
+ts_log "Gregorian - Sunday-based three months with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3sw $MYMONTH
+fi
+$TS_CMD_CAL -3sw $MYMONTH >> $TS_OUTPUT
+ts_log "Julian - Monday-based three months with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3mjw $MYMONTH
+fi
+$TS_CMD_CAL -3mjw $MYMONTH >> $TS_OUTPUT
+ts_log "Julian - Sunday-based three months with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3sjw $MYMONTH
+fi
+$TS_CMD_CAL -3sjw $MYMONTH >> $TS_OUTPUT
+
+
+ts_log "Gregorian - Monday-based year with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mw $MYYEAR
+fi
+$TS_CMD_CAL -1mw $MYYEAR >> $TS_OUTPUT
+ts_log "Gregorian - Sunday-based year with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1sw $MYYEAR
+fi
+$TS_CMD_CAL -1sw $MYYEAR >> $TS_OUTPUT
+ts_log "Julian - Monday-based year with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mjw $MYYEAR
+fi
+$TS_CMD_CAL -1mjw $MYYEAR >> $TS_OUTPUT
+ts_log "Julian - Sunday-based year with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1sjw $MYYEAR
+fi
+$TS_CMD_CAL -1sjw $MYYEAR >> $TS_OUTPUT
+
+ts_finalize
diff --git a/tests/ts/cal/weeknum b/tests/ts/cal/weeknum
new file mode 100755
index 000000000..8164f1a67
--- /dev/null
+++ b/tests/ts/cal/weeknum
@@ -0,0 +1,87 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="week number corner cases"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+set -o pipefail
+
+USETERM=$( ts_has_option "useterm" "$*" )
+
+[ "$USETERM" == "yes" ] && TS_VERBOSE="yes"
+ts_log ""
+
+for x in 2001 2002 2003 2009 2010 2011 2012 ; do
+MYTIME="1 $x"
+
+ts_log "Gregorian - Monday-based week with week numbers - year $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -ymw $MYTIME
+fi
+$TS_CMD_CAL -ymw $MYTIME >> $TS_OUTPUT
+
+ts_log "Gregorian - Sunday-based week with week numbers - year $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -ysw $MYTIME
+fi
+$TS_CMD_CAL -ysw $MYTIME >> $TS_OUTPUT
+
+
+ts_log "Julian - Monday-based week with week numbers - year $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -ymjw $MYTIME
+fi
+$TS_CMD_CAL -ymjw $MYTIME >> $TS_OUTPUT
+
+ts_log "Julian - Sunday-based week with week numbers - year $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -ysjw $MYTIME
+fi
+$TS_CMD_CAL -ysjw $MYTIME >> $TS_OUTPUT
+
+ts_log "Gregorian - Monday-based week with week numbers - 3 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3mw $MYTIME
+fi
+$TS_CMD_CAL -3mw $MYTIME >> $TS_OUTPUT
+
+ts_log "Gregorian - Sunday-based week with week numbers - 3 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3sw $MYTIME
+fi
+$TS_CMD_CAL -3sw $MYTIME >> $TS_OUTPUT
+
+
+ts_log "Julian - Monday-based week with week numbers - 3 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3mjw $MYTIME
+fi
+$TS_CMD_CAL -3mjw $MYTIME >> $TS_OUTPUT
+
+ts_log "Julian - Sunday-based week with week numbers - 3 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3sjw $MYTIME
+fi
+$TS_CMD_CAL -3sjw $MYTIME >> $TS_OUTPUT
+
+done
+
+ts_finalize
+
diff --git a/tests/ts/cal/yearw b/tests/ts/cal/yearw
new file mode 100755
index 000000000..b82757433
--- /dev/null
+++ b/tests/ts/cal/yearw
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="year with week numbers"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+set -o pipefail
+
+USETERM=$( ts_has_option "useterm" "$*" )
+MYTIME="29 11 2006"
+
+[ "$USETERM" == "yes" ] && TS_VERBOSE="yes"
+ts_log ""
+
+ts_log "Gregorian - Monday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -ymw $MYTIME
+fi
+$TS_CMD_CAL -ymw $MYTIME >> $TS_OUTPUT
+
+ts_log "Gregorian - Sunday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -ysw $MYTIME
+fi
+$TS_CMD_CAL -ysw $MYTIME >> $TS_OUTPUT
+
+
+ts_log "Julian - Monday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -ymjw $MYTIME
+fi
+$TS_CMD_CAL -ymjw $MYTIME >> $TS_OUTPUT
+
+ts_log "Julian - Sunday-based week with week numbers"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -ysjw $MYTIME
+fi
+$TS_CMD_CAL -ysjw $MYTIME >> $TS_OUTPUT
+
+ts_finalize
+